curl --request GET \
--url https://cloud.kaneo.app/api/telegram-integration/project/{projectId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"chatId": "<string>",
"threadId": 123,
"chatLabel": "<string>",
"botTokenConfigured": true,
"maskedBotToken": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Get Telegram integration for a project
curl --request GET \
--url https://cloud.kaneo.app/api/telegram-integration/project/{projectId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"chatId": "<string>",
"threadId": 123,
"chatLabel": "<string>",
"botTokenConfigured": true,
"maskedBotToken": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Bearer token authentication
Telegram integration details
Show child attributes
Was this page helpful?